Update and Send DocumentAsk AIpost https://www.signwell.com/api/v1/documents/{id}/sendUpdates a draft document and sends it to be signed by recipients.Path ParamsiduuidrequiredUnique identifier for a document.Body Paramstest_modebooleanDefaults to falseSet to true to enable Test Mode. Documents created with Test Mode do not count towards API billing and are not legally binding. Defaults to falsetruefalsenamestringThe name of the document.subjectstringEmail subject for the signature request that recipients will see. Defaults to the default system subject or a template subject (if the document is created from a template).messagestringEmail message for the signature request that recipients will see. Defaults to the default system message or a template message (if the document is created from a template).expires_ininteger≥ 1Number of days before the signature request expires. Defaults to the account expiration setting or template expiration (if the document is created from a template).remindersbooleanDefaults to trueWhether to send signing reminders to recipients. Reminders are sent on day 3, day 6, and day 10 if set to true. Defaults to true.truefalseapply_signing_orderbooleanDefaults to falseWhen set to true recipients will sign one at a time in the order of the recipients collection of this request.truefalseapi_application_iduuidUnique identifier for API Application settings to use. API Applications are optional and mainly used when isolating OAuth apps or for more control over embedded API settingsembedded_signingbooleanDefaults to falseWhen set to true it enables embedded signing in your website/web application. Embedded functionality works with an iFrame and email authentication is disabled. :embedded_signinig defaults to false.truefalseembedded_signing_notificationsbooleanDefaults to falseOn embedding signing, document owners (and CC'd contacts) do not get a notification email when documents have been completed. Setting this param to true will send out those final completed notifications. Default is falsetruefalsecustom_requester_namestringSets the custom requester name for the document. When set, this is the name used for all email communications, signing notifications, and in the audit file.custom_requester_emailstringSets the custom requester email for the document. When set, this is the email used for all email communications, signing notifications, and in the audit file.redirect_urlurlA URL that recipients are redirected to after successfully signing a document.allow_declinebooleanDefaults to trueWhether to allow recipients the option to decline signing a document. If multiple signers are involved in a document, any single recipient can cancel the entire document signing process by declining to sign.truefalseallow_reassignbooleanDefaults to trueIn some cases a signer is not the right person to sign and may need to reassign their signing responsibilities to another person. This feature allows them to reassign the document to someone else.truefalsedecline_redirect_urlurlA URL that recipients are redirected to if the document is declined.metadataobjectOptional key-value data that can be associated with the document. If set, will be available every time the document data is returned.metadata objectlabelsarray of objectsLabels can be used to organize documents in a way that can make it easy to find using the document search in SignWell. A document can have multiple labels. Updating labels on a document will replace any existing labels for that document.labelsADD objectcheckbox_groupsarray of objectsCheckbox fields that are placed on a document can be grouped with selection requirements. At least 2 checkbox fields in an array of fields must be assigned to the same recipient.checkbox_groupsADD objectResponses 201created 422unprocessable entity 429rate limit exceededUpdated 28 days ago